/*
    TIM397.h: Routines for handling the Timex TIM397 
*/

#ifndef FUSE_TIM397_H
#define FUSE_TIM397_H

#include <libspectrum.h>

extern int tim397_available;  /* Is the tim397 available for use? */
extern int tim397_active;     /* tim397 enabled? */

int tim397_init( void );
void tim397_end( void );

void tim397_page( void );
void tim397_unpage( void );

libspectrum_byte tim397_io_read( libspectrum_word port, int *attached );
void tim397_io_write( libspectrum_word port, libspectrum_byte b );

int tim397_unittest( void );

#endif                  /* #ifndef FUSE_tim397_H */
